Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
observability
/
users
/
metrics
Get User Metrics
curl --request GET \
  --url https://api.tensormesh.ai/v1/observability/users/metrics \
  --header 'Authorization: Bearer <token>'
{
  "metrics": [
    {
      "name": "<string>",
      "data": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ]
}
Use this group for logs and metrics reads. Common operations:

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

User ID to retrieve metrics for. Must be provided.

startTime
string<date-time>

Optional start time for the metrics query.

endTime
string<date-time>

Optional end time for the metrics query.

stepSeconds
number<float>

Optional step size for the metrics query.

Response

A successful response.

GetUserMetricsResponse contains the user metrics.

metrics
object[]

Metrics data.